-- This Lua file is not actually meant to be executed. Instead, it contains
-- dummy function calls to allow translation scripts to detect the strings.
-- The symbol NS_LEVEL_NAME is used for level names.
-- The symbol NS_NPC_TEXT is used for the speech of NPCs like Goldie the Parrot.
-- This file MUST be updated before release when the level names or NPC texts
-- have changed.

-- To update this list, do this:
-- 1. Set `lzr_print_special_translatable_strings` in the settings to `true`
-- 2. Start game
-- 3. Paste the relevant part of the console output into this file

local NS_LEVEL_NAME = function(s) return end
local NS_NPC_TEXT = function(s) return end

-- LIST OF STRINGS BEGINS HERE --

NS_LEVEL_NAME("Welcome to Lazarr!")
NS_LEVEL_NAME("My first Laser")
NS_LEVEL_NAME("Mirror Rotation")
NS_LEVEL_NAME("Mobile Mirror")
NS_LEVEL_NAME("Screws")
NS_LEVEL_NAME("More mobile Blocks")
NS_LEVEL_NAME("Beam Splitter")
NS_LEVEL_NAME("Crystals")
NS_LEVEL_NAME("Barricades")
NS_LEVEL_NAME("Cobwebs")
NS_LEVEL_NAME("Laser Colors")
NS_LEVEL_NAME("Color Mixing")
NS_LEVEL_NAME("Bombs")
NS_LEVEL_NAME("Pirate Sense")
NS_LEVEL_NAME("Palm Pit")
NS_LEVEL_NAME("Stormy Boxes")
NS_LEVEL_NAME("Wannabe Spiral")
NS_LEVEL_NAME("Branching Out")
NS_LEVEL_NAME("Mirror Jail")
NS_LEVEL_NAME("Work of the Ancients")
NS_LEVEL_NAME("Explode Everything")
NS_LEVEL_NAME("Treasure Stash")
NS_LEVEL_NAME("Aged like Fine Grog")
NS_LEVEL_NAME("Double Trouble")
NS_LEVEL_NAME("Strange Engine")
NS_LEVEL_NAME("Scrubbing the Deck")
NS_LEVEL_NAME("Stranded")
NS_LEVEL_NAME("The Kitchen")
NS_LEVEL_NAME("Pirate’s Pride")
NS_LEVEL_NAME("Six Colors")
NS_LEVEL_NAME("The Pedestals")
NS_LEVEL_NAME("Colors and Crystals")
NS_LEVEL_NAME("Bombastic Beach")
NS_LEVEL_NAME("Temple of Colors")
NS_LEVEL_NAME("Under Construction")
NS_LEVEL_NAME("Coconut Milk")
NS_LEVEL_NAME("Lamp Cross")
NS_LEVEL_NAME("26 Mirrors")
NS_LEVEL_NAME("Puzzle Hut")
NS_LEVEL_NAME("Particle Accelerator")
NS_LEVEL_NAME("Deep Blue")
NS_LEVEL_NAME("Think before you Bomb")
NS_LEVEL_NAME("Forgotten Forge")
NS_LEVEL_NAME("Dripstone Cave")
NS_LEVEL_NAME("Inside the Seashell")
NS_LEVEL_NAME("Watery Lights")
NS_LEVEL_NAME("Bombs Ahoy!")
NS_LEVEL_NAME("An Evening at the Beach")
NS_LEVEL_NAME("Beach Gold")
NS_LEVEL_NAME("Capt’n Nemo’s Code")
NS_LEVEL_NAME("Sunken Ship")
NS_LEVEL_NAME("Atlantian Ruins")
NS_LEVEL_NAME("Withered Throne")
NS_LEVEL_NAME("Chamber of Symmetry")
NS_LEVEL_NAME("One Chest at a Time")
NS_LEVEL_NAME("Temple Sewers")
NS_LEVEL_NAME("Suspicious Barrels")
NS_LEVEL_NAME("Return to Lamp Cross")
NS_LEVEL_NAME("Three Drunken Sailors")
NS_LEVEL_NAME("Fire in the Hole, but literally")
NS_LEVEL_NAME("Inside a Coconut Tree")
NS_LEVEL_NAME("Crystal Palm Beach")
NS_LEVEL_NAME("Shrine of Splitting")
NS_LEVEL_NAME("Fort Coconut")
NS_LEVEL_NAME("Chaotic Colors")
NS_LEVEL_NAME("Shy Skull Grounds")
NS_LEVEL_NAME("Cave of the Cursed Skulls")
NS_LEVEL_NAME("Skully Hop")
NS_LEVEL_NAME("Funny Skulls at Night")
NS_LEVEL_NAME("Road to Ruin")
NS_LEVEL_NAME("Dead Mine")
NS_LEVEL_NAME("Hardball")
NS_LEVEL_NAME("Rising Skull")
NS_LEVEL_NAME("Secret Storage")
NS_LEVEL_NAME("Crystal Temple")
NS_LEVEL_NAME("Ocean Eye")
NS_LEVEL_NAME("Palm Fortress")
NS_LEVEL_NAME("Checkerboard Puzzle Box")
NS_LEVEL_NAME("X marks the Spot")
NS_LEVEL_NAME("Criss-Cross")
NS_LEVEL_NAME("Beach Fortress")
NS_NPC_TEXT("Hey, buddy! I’ve been waiting for you. The world is full of gold blocks for us pirates to claim. There’s a treasure chest over there. Just punch it to open it.")
NS_NPC_TEXT("Many chests are protected by a security lock. It can only be broken by solving a laser puzzle. This one is simple: Just punch the lever to activate the laser. This will activate the detector and break open the lock.")
NS_NPC_TEXT("You now got a rotating hook. Use it to rotate the mirrors to deflect the laser to the target. Select the hook in the hotbar below, then press the [Punch] key on a mirror to push it towards the edge. Press the [Place] key on a mirror to rotate it clockwise.")
NS_NPC_TEXT("Did you notice the screws in the corners of mirrors? They’re bolted to the ground. There are also mirrors without screws. You can pick those up (by punching them with your bare hand) and place them somewhere else. Put the mirror without screws in the right spot to redirect the laser to the detector.")
NS_NPC_TEXT("Each of the three mirrors in this room is different. The one I’m standing on has iron screws. It can not be moved or rotated. The next one has copper screws. You can rotate it but not take it. And the last mirror doesn't have any screws. You can pick it up, place it and rotate it.")
NS_NPC_TEXT("You can pick up emitters and detectors, too. As long there are no screws, you can take them. Bring the two emitters and detectors together to unlock the chest.")
NS_NPC_TEXT("You need to activate both detectors at the same time, but there’s only one laser. Good we have a beam splitter! When a laser enters the angled part of a beam splitter, two lasers go out: One part goes straight through, while the other one is deflected.")
NS_NPC_TEXT("Crystals are very powerful, because they deflect lasers in all directions.")
NS_NPC_TEXT("These barricades are blocking the path forward, but they’ll burn up when a laser touches them. Don’t worry about the huts, they are made out of fire-proof wood.")
NS_NPC_TEXT("These cobwebs are disgusting! They’re awkward to move through, you can’t jump in them and you can’t touch anything behind a cobweb. Use the laser to destroy the cobwebs. Dense cobwebs will withstand lasers, however.")
NS_NPC_TEXT("Colored detectors only activate with the matching laser color. (Hint: You can customize the laser colors in the graphics settings in our ship.)")
NS_NPC_TEXT("This mixer has two inputs and a laser output. It will emit with the mixed color of its input lasers. To produce a yellow laser, send a green and a red laser to the left and right of the emitter.")
NS_NPC_TEXT("Bombs can destroy cracked stone. Place a bomb so that the laser touches the fuse and watch it go boom. You might need to rotate the bomb. Careful! You only have a limited number of bombs, don’t waste them. If you get stuck, restart the level.")
NS_NPC_TEXT("The lock of the chest will only open when 3 detectors are active at once, but I forgot which ones. No problem, you’ve got that pirate sense! Use your hand and the [Place] key on the chest and the connections will be revealed for a short moment. Your pirate sense works on detectors and other blocks, too.")
NS_NPC_TEXT("Let’s have some fun with more beam spliters! With each new beam splitter, you can create more lasers.")
NS_NPC_TEXT("Who put all those crates here? They just stand in the way. I guess you have to work around them.")
NS_NPC_TEXT("Yarr! Let’s have some fun with bombs! I’m sure the cracked sandstone hides some secrets.")
NS_NPC_TEXT("It’s good to think in three dimensions.")
NS_NPC_TEXT("So many mirrors, and all this effort to protect just one gold block? I feel insulted!")
NS_NPC_TEXT("Do you wonder why we keep looting these ancient places of historic value? Easy: It’s safer to grab the gold when the owners have died a long time ago. I don’t think it’s stealing. It’s a transfer of wealth.")
NS_NPC_TEXT("Look! I found some crystals in different shapes. I’m sure you can figure out on your own how they work.")
NS_NPC_TEXT("Did you know? Bomb explosions affect blocks that touch the bomb at its edges and corners, too.")
NS_NPC_TEXT("Remember when we found the Steel-Plated Boots in a sunken ship? It’s so amazing they protect your body, no matter how deep you fall.")
NS_NPC_TEXT("Sometimes, there are multiple paths to unlock the treasure.")
NS_NPC_TEXT("This puzzle is making my head spin!")
NS_NPC_TEXT("Seems like someone did some sciency stuff here. But I don’t care about science! I just care about gold!")
NS_NPC_TEXT("This place was once used as an outpost by the Fallen Empire to forge their weapons.")
NS_NPC_TEXT("Kaboom! We’ve probably got more than enough bombs to break through to the treasure, but try to not be too wasteful.")
NS_NPC_TEXT("If the laser can’t go to the detector, then the detector has to go to the laser.")
NS_NPC_TEXT("Barrels are usually too heavy to be carried around. But not if they’re hollow.")
NS_NPC_TEXT("Hmmm … I have a feeling this yellow detector is special.")
NS_NPC_TEXT("Confused? My pirate sense tells me you need to activate all detectors to break open the locks. Except the green ones.")
NS_NPC_TEXT("This fort was built by the minions of Lord Coconut, known for his obsession with coconuts. And gold, so he can buy more coconuts.")
NS_NPC_TEXT("These are not regular skulls. These are shy skulls! They are called shy because when a laser fires at them, they lose their physical form and can be walked through.")
NS_NPC_TEXT("Having been forgotten since centuries, these cursed skulls have left the physical realm and nothing collides with them. But when a laser shoots at them, they become solid. Activate the laser to build a platform.")
NS_NPC_TEXT("If a cursed skull is not screwed to the ground and you can touch it, you can pick it up. But think carefully before placing it again: You might not be able to get it back if you place it at a bad spot. If you’re stuck, you can always restart the level.")
NS_NPC_TEXT("The treasure is way up there and all you have is a shy skull. Better not waste it!")
NS_NPC_TEXT("The rich thought they could hide their gold with a bit of a camouflage. Ha! I’ve spotted this place miles away.")
NS_NPC_TEXT("It seems there’s only one bomb you can pick up. Don’t waste it!")
NS_NPC_TEXT("This looks like Chess. Here’s my move: Parrot to j9, captures king. Wait, that’s an “illegal” Chess move? I’m a pirate, I can do whatever I want!")
